<template>
  <div class="container" >
    <h3 class="mt-5">Modifier l'utilisateur : <i><small>{{ user.firstname }} {{ user.lastname }}</small> </i> </h3>
    <UserEditForm v-bind:user="user" @edit-data="editData" ></UserEditForm>
  </div>
</template>

<script>

import API from '../../api'
import UserEditForm from "../../components/user/UserEditForm";

export default {
  components: {UserEditForm},
  data() {
    return {
      id : this.$route.params.id,
      user: []
    };
  },
  methods: {
    editData(data) {
      this.$store.dispatch("users/updateUser", data);
      this.$router.replace("/administration/utilisateurs");
    },
  },
  mounted() {
    try {
      API
          .get("users/" + this.id)
          .then((response) => {
            this.user = response["data"];
          });
    } catch (error) {
      console.log(error);
    }
  }
};
</script>